Pré-requis et installations

Pour utiliser UGML, vous devez disposer des pré-requi suivant : (rien de bien méchant)

  1. Vous devez avoir un serveur APACHE avec une version de PHP supérieur à la 4.0
  2. Il est préférable d'avoir la derniere version stable du framework UGML
  3. Vous devez avoir une doc UGML sous la main

Quels sont les outils nécessaire à l'utilisation de l'UGML ?

  1. Apache (ou tout autre serveur web supportant PHP en tant module ou CGI)
  2. MySQL
  3. PHP

C'est tout pour l'indispensable. Pour l'installation de ces éléments sur votre système référez vous à la documentation existante sur le WEB elle est pléthorique.
Pour les développeur débutants qui n'ont pas encore choisi leurs outils de travail nous recommandons PHPMYADMIN et/ou MYSQL WORKBENCH pour la gestion de votre base de donnée.

L'installation du Framework UGML

Récupéré le Framework UGML auprès d'Olivier décompressez l'archive dans un répertoire WEB.
Ouvrez la page http://[votre-site-web-local-pas]/install/ dans votre navigateur.
Remplissez les informations demandées.

Voilà votre Framework est près à l'usage.